from django.shortcuts import render, redirect
from .forms import InfoForm
from datetime import date

# Membuat view untuk halaman form
def user_form(request):
    if request.method == 'POST':
        form = InfoForm(request.POST)
        if form.is_valid():
            # Ambil data yang sudah divalidasi
            form_data = form.cleaned_data
            # Konversi date ke string
            if 'tanggal_lahir' in form_data:
                form_data['tanggal_lahir'] = form_data['tanggal_lahir'].isoformat()  
            # Gabungkan kode negara dan nomor telepon
            nomor_hp_lengkap = f"+{form_data['kode_negara']} {form_data['nomor_hp']}"
            form_data['nomor_hp_lengkap'] = nomor_hp_lengkap  # Tambahkan ke data form
            # Simpan data ke session
            request.session['form_data'] = form_data
            return redirect('user_info_display')  # Redirect ke halaman display
    else:
        # Buat form baru
        form = InfoForm()
    return render(request, 'user_form.html', {'form': form})

# Membuat view untuk halaman display
def user_info_display(request):
    # Ambil data dari session
    form_data = request.session.get('form_data', {})
    # Konversi string tanggal_lahir kembali ke date
    if 'tanggal_lahir' in form_data:
        form_data['tanggal_lahir'] = date.fromisoformat(form_data['tanggal_lahir'])
    # Tampilkan data
    return render(request, 'user_info_display.html', {'form_data': form_data})
